Bug 1016902 - session does not grant privileges for /dev/dri/card0
session does not grant privileges for /dev/dri/card0
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: sddm (Show other bugs)
20
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Bříza
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-08 17:37 EDT by Branko Grubić
Modified: 2014-10-07 05:29 EDT (History)
6 users (show)

See Also:
Fixed In Version: sddm-0.2.0-0.31.20140627gitf49c2c79.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-30 06:30:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Branko Grubić 2013-10-08 17:37:26 EDT
Description of problem:
Fedora KDE live images don't use proper mesa "driver", for me (intel) always uses llvmpipe (same machine works fine with f20 installed (gnome)), tested f20 alpha, and now beta-TC2. 



[liveuser@localhost ~]$ LIBGL_DEBUG=verbose glxinfo | grep -i opengl
libGL: OpenDriver: trying /usr/lib64/dri/tls/i965_dri.so
libGL: OpenDriver: trying /usr/lib64/dri/i965_dri.so
libGL error: failed to open drm device: Permission denied
libGL error: failed to load driver: i965
libGL: OpenDriver: trying /usr/lib64/dri/tls/swrast_dri.so
libGL: OpenDriver: trying /usr/lib64/dri/swrast_dri.so
libGL: Can't open configuration file /home/liveuser/.drirc: No such file or directory.
libGL: Can't open configuration file /home/liveuser/.drirc: No such file or directory.
libGL: Can't open configuration file /home/liveuser/.drirc: No such file or directory.
libGL: Can't open configuration file /home/liveuser/.drirc: No such file or directory.
libGL: Can't open configuration file /home/liveuser/.drirc: No such file or directory.
libGL: Can't open configuration file /home/liveuser/.drirc: No such file or directory.
libGL: Can't open configuration file /home/liveuser/.drirc: No such file or directory.
libGL: Can't open configuration file /home/liveuser/.drirc: No such file or directory.
libGL: Can't open configuration file /home/liveuser/.drirc: No such file or directory.
OpenGL vendor string: VMware, Inc.
OpenGL renderer string: Gallium 0.4 on llvmpipe (LLVM 3.3, 128 bits)
OpenGL version string: 2.1 Mesa 9.2.0
OpenGL shading language version string: 1.30
OpenGL extensions:



ajax @#fedora-devel says wrong permissions, probably related to sddm (next log maybe in wrong order! sorry!)
"<ajax> and, i suspect, not my fault.  whatever bit of systemd is supposed to be setting up device permissions on session launch must not be.
...
<ajax> output of 'getfacl /dev/dri/card0' probably doesn't have a line for user:liveuser:rw-"
<ajax> and then i guess file a bug against gdm? seems like it would be the one determining what kind of session a live user is.  
...
<ajax> oh, kde live not default live.
...
<ajax> well, okay, sddm then
...

[liveuser@localhost ~]$ getfacl /dev/dri/card0 
getfacl: Removing leading '/' from absolute path names
# file: dev/dri/card0
# owner: root
# group: video
user::rw-
group::rw-
other::---

Version-Release number of selected component (if applicable):
sddm-0.2.0-0.9.20130821git50ca5b20.fc20

How reproducible:
Always

Steps to Reproduce:
1. boot live image
2.
3.

Actual results:
uses llvmpipe

Expected results:
uses "native" intel (i965)

Additional info:
Comment 1 Branko Grubić 2013-10-08 18:03:24 EDT
Ok, I think this only happens on live system, I now installed f20 Beta TC2 KDE, on my laptop (no initial setup (that is probably another bug)), and after manually creating my user account, logging in with sddm, glxinfo shows proper driver in use, permissions are OK "user:<my_username>:rw-"
Comment 2 Branko Grubić 2013-10-08 18:18:09 EDT
rdieter said that output of loginctl from live session can be useful for this.


[liveuser@localhost ~]$ loginctl 
   SESSION        UID USER             SEAT            
         1       1000 liveuser                         

1 sessions listed.
Comment 3 Branko Grubić 2013-10-12 04:51:31 EDT
Small update, sometimes in live mode when you click restart it doesn't restart your system, but somehow session re-starts, and mostly second time it works (never failed for me (restarts, shutdown, ...)). And then another interesting thing happens, it starts session properly and set permissions, glxinfo doesn't give any errors, and loginctl shows proper session (actually two sessions)

something like this 
[liveuser@localhost ~]$ loginctl 
   SESSION        UID USER             SEAT            
         1       1000 liveuser                         
         2       1000 liveuser         seat0      
2 sessions listed.

I see this only on Live KDE images, and not on installed system, installed system from same image "works fine" (or this is not a problem on it)
Comment 4 Fedora Update System 2013-11-25 12:39:47 EST
sddm-0.2.0-0.21.20131125git7a008602.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/sddm-0.2.0-0.21.20131125git7a008602.fc20
Comment 5 Fedora Update System 2013-11-26 12:59:22 EST
Package sddm-0.2.0-0.22.20131125git7a008602.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing sddm-0.2.0-0.22.20131125git7a008602.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-22158/sddm-0.2.0-0.22.20131125git7a008602.fc20
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2014-06-25 07:09:22 EDT
sddm-0.2.0-0.29.20140623gitdb1d7381.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/sddm-0.2.0-0.29.20140623gitdb1d7381.fc20
Comment 7 Fedora Update System 2014-06-25 07:13:31 EDT
sddm-0.2.0-0.29.20140623gitdb1d7381.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/sddm-0.2.0-0.29.20140623gitdb1d7381.fc19
Comment 8 Fedora Update System 2014-06-30 06:30:44 EDT
sddm-0.2.0-0.31.20140627gitf49c2c79.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2014-10-07 05:29:01 EDT
sddm-0.9.0-1.20141007git6a28c29b.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/sddm-0.9.0-1.20141007git6a28c29b.fc19

Note You need to log in before you can comment on or make changes to this bug.